## org.eclipse.jetty.security.authentication
Class FormAuthenticator.FormRequest

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.eclipse.jetty.security.authentication.FormAuthenticator.FormRequest

All Implemented Interfaces:
  HttpServletRequest, ServletRequest

Enclosing class:
  FormAuthenticator

    protected static class FormAuthenticator.FormRequest

extends HttpServletRequestWrapper

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`FormAuthenticator.FormRequest(HttpServletRequest request)`

Method Summary
`long` `getDateHeader(String name)` The default behavior of this method is to return getDateHeader(String name) on the wrapped request object.
`String` `getHeader(String name)` The default behavior of this method is to return getHeader(String name) on the wrapped request object.
`Enumeration` `getHeaderNames()` The default behavior of this method is to return getHeaderNames() on the wrapped request object.
`Enumeration` `getHeaders(String name)` The default behavior of this method is to return getHeaders(String name) on the wrapped request object.

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getContextPath, getCookies, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper

`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest

`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Constructor Detail

### FormAuthenticator.FormRequest

    public FormAuthenticator.FormRequest(HttpServletRequest request)

Method Detail

### getDateHeader

    public long getDateHeader(String name)

  Description copied from class: `HttpServletRequestWrapper`
  The default behavior of this method is to return getDateHeader(String name) on the wrapped request object.

  Specified by:
    `getDateHeader` in interface `HttpServletRequest`
  Overrides:
    `getDateHeader` in class `HttpServletRequestWrapper`
  Parameters:
    `name` - a `String` specifying the name of the header
  Returns:
    a `long` value representing the date specified in the header expressed as the number of milliseconds since January 1, 1970 GMT, or -1 if the named header was not included with the request

### getHeader

    public String getHeader(String name)

  Description copied from class: `HttpServletRequestWrapper`
  The default behavior of this method is to return getHeader(String name) on the wrapped request object.

  Specified by:
    `getHeader` in interface `HttpServletRequest`
  Overrides:
    `getHeader` in class `HttpServletRequestWrapper`
  Parameters:
    `name` - a `String` specifying the header name
  Returns:
    a `String` containing the value of the requested header, or `null` if the request does not have a header of that name

### getHeaderNames

    public Enumeration getHeaderNames()

  Description copied from class: `HttpServletRequestWrapper`
  The default behavior of this method is to return getHeaderNames() on the wrapped request object.

  Specified by:
    `getHeaderNames` in interface `HttpServletRequest`
  Overrides:
    `getHeaderNames` in class `HttpServletRequestWrapper`
  Returns:
    an enumeration of all the header names sent with this request; if the request has no headers, an empty enumeration; if the servlet container does not allow servlets to use this method, `null`

### getHeaders

    public Enumeration getHeaders(String name)

  Description copied from class: `HttpServletRequestWrapper`
  The default behavior of this method is to return getHeaders(String name) on the wrapped request object.

  Specified by:
    `getHeaders` in interface `HttpServletRequest`
  Overrides:
    `getHeaders` in class `HttpServletRequestWrapper`
  Parameters:
    `name` - a `String` specifying the header name
  Returns:
    an `Enumeration` containing the values of the requested header. If the request does not have any headers of that name return an empty enumeration. If the container does not allow access to header information, return null

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.